Mail archive
alpine-aports

[alpine-aports] [PATCH] main/seafile: fix build

From: Christian Kampka <christian_at_kampka.net>
Date: Mon, 9 Nov 2015 23:27:29 +0100

---
 main/seafile/APKBUILD | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/main/seafile/APKBUILD b/main/seafile/APKBUILD
index f15956d..b0ba2e9 100644
--- a/main/seafile/APKBUILD
+++ b/main/seafile/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=seafile
 pkgver=4.2.6
-pkgrel=1
+pkgrel=2
 pkgdesc="Cloud storage system with advanced support for file syncing, privacy protection and teamwork"
 url="https://github.com/haiwen/seafile/"
 arch="all"
_at_@ -10,7 +10,7 @@ license="GPL3"
 makedepends="autoconf automake bash ccnet-dev curl-dev fuse-dev glib-dev
 	intltool jansson-dev libarchive-dev libevent-dev libevhtp-dev
 	libsearpc-dev libtool libzdb-dev openssl-dev sqlite-dev util-linux-dev
-	vala bsd-compat-headers"
+	vala bsd-compat-headers libevhtp-dev"
 depends="bash ${pkgname}-common"
 pkgusers="seafile"
 pkggroups="seafile"
_at_@ -45,7 +45,7 @@ build() {
 		--enable-fuse \
 		--enable-client \
 		--enable-console
-	make || return 1
+	make CFLAGS="$CFLAGS $(pkgconf --cflags evhtp)" || return 1
 }
 
 package() {
-- 
2.6.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Nov 09 2015 - 23:27:29 GMT